1. Company and Services
Networked API Documentation
  • Getting Started
  • User Authentication
    • Add New Users to Community
      POST
    • Send email invites
      POST
  • User Profile
    • User Profile
      GET
    • Profile Visits
      GET
  • Community
    • Features
      • Feature List
    • Directory
      • Users List
      • Roles List
    • Monetization
      • Plans
        • Plans List
    • Feed
      • Polls
        • Create Polls
      • Surveys
        • Create Surveys
      • Post
        • Ask and offer help
          • Post Intro
          • Post Advice
          • Post Recommendation
          • Post Kudos
          • Post Help
        • Feed Post List
        • Post to Feed
        • Get Post Comments
        • Add Comments to Post
      • upload Media
    • Opportunities
      • Company and Services
        • Company and Services List
          GET
      • Fundaising Initiatives
        • Fundraising Initiatives List
      • Career Opportunities
        • Career Opportunities
    • Events
      • Event Post
      • Edit Events
      • Delete Event
      • Event List
    • Media Center
      • Get Resources
    • Analytics
      • Community Analytics
    • Newsletter
      • Lists
        • Get newsletter subscriber lists
      • Add newsletter subscribers
      • Get newsletter subscribers
    • Community Details
      GET
    • Spaces List
      GET
  • Webhooks
    • User Webhooks
      • user.joined
      • user.profile.updated
      • user.joined.space
    • Feed Webhooks
      • post.created
      • post.liked
      • post.unliked
      • comment.added
      • post.reported
  • References
    • Response Codes
      GET
    • Model Status
      GET
    • Post Types
      GET
  1. Company and Services

Company and Services List

GET
https://backend.networked.co/api/v1/oppurtunity/services

🛠️ Get Company and Service Listings#

HTTP Method: GET
Endpoint: /api/v1/oppurtunity/services

Headers#

NameTypeRequiredDescription
x-api-keyStringYesAPI key provided by the Networked Team.
spaceIdStringNoRequired only when fetching for a space. Defaults to community.

Query Parameters#

NameTypeRequiredDescription
startNumberYesPagination starting index (e.g., 0 for first).
countNumberYesNumber of records to fetch per request.

Body Parameters#

None

Sample Response#

{
  "data": {
    "count": 1,
    "start": 0,
    "contents": [
      {
        "user": {
          "id": "6787893423126f0012a92ed6",
          "name": "Spencer Johnson Spencer",
          "image": "https://ntwc-us-east-2-qa-eks-s3-files-storage.s3.us-east-2.amazonaws.com/user-6787893423126f0012a92ed6/file_1741258763688_image (25).png",
          "title": " Software Development Test Engineer WBC Community Test Engineer",
          "primaryCompany": "test",
          "location": "",
          "industries": ["Animation"]
        },
        "serviceId": "682fc8da0465d1001250c444",
        "companyName": "xczxc",
        "companyAbout": "<p class=&#x27;preserveHtml&#x27; class=&#x27;preserveHtml&#x27; class=&#x27;preserveHtml&#x27; class=&#x27;preserveHtml&#x27; class=&#x27;preserveHtml&#x27; style=\"\">cxczxc</p>",
        "companyAboutRichText": "[{\"type\":\"paragraph\",\"children\":[{\"text\":\"cxczxc\"}]}]",
        "industry": {
          "id": null,
          "name": null
        },
        "location": "",
        "media": [],
        "timeStamp": 1747962074033,
        "isSpace": false,
        "community": "67959032bc6bea0012fdc671"
      }
    ],
    "nextStart": false
  },
  "error": false,
  "message": "Operation completed successfully"
}

Response Interface#

interface GetServicesResponse {
  data: {
    count: number;
    start: number;
    nextStart: boolean | number;
    contents: {
      user: {
        id: string;
        name: string;
        image: string;
        title: string;
        primaryCompany: string;
        location: string;
        industries: string[];
      };
      serviceId: string;
      companyName: string;
      companyAbout: string;
      companyAboutRichText: string;
      industry: {
        id: string | null;
        name: string | null;
      };
      location: string;
      media: any[];
      timeStamp: number;
      isSpace: boolean;
      community: string;
    }[];
  };
  error: boolean;
  message: string;
}

Response Field Descriptions#

NameTypeDescription
countNumberTotal number of service listings returned in this batch.
startNumberStarting index used for this query.
nextStartBoolean/NumberIndicates if more data is available for pagination.
contentsArrayArray of service listing entries.
userObjectDetails of the user who posted the service.
serviceIdStringUnique ID of the service listing.
companyNameStringName of the company offering the service.
companyAboutStringHTML-formatted description of the company.
companyAboutRichTextStringJSON-formatted rich text content of the company description.
industryObjectIndustry information (may be null).
locationStringLocation of the service provider (can be empty).
mediaArrayMedia items associated with the listing.
timeStampNumberTimestamp of listing creation.
isSpaceBooleanIndicates if this service is associated with a space.
communityStringCommunity ID where the service was posted.

Reference#

🔗 Response Codes Documentation

Request

Query Params

Header Params

Responses

🔴512
application/json
Bodyapplication/json

🟢200
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.networked.co/api/v1/oppurtunity/services?start=0&count=10' \
--header 'x-api-key: <your-api-key>'
Response Response Example
512 - Validation Error
{
    "error": true,
    "message": "Please specify the number of items to display per page"
}
Modified at 2026-05-15 11:51:03
Previous
Company and Services
Next
Fundaising Initiatives
Built with